Package org.apache.sysds.runtime.compress.lib

# Class CLALibSlice

java.lang.Object
org.apache.sysds.runtime.compress.lib.CLALibSlice

public final class CLALibSlice extends Object

## Method Summary

Modifier and Type
Method
Description
`static MatrixBlock`
`slice(CompressedMatrixBlock cmb, int rl, int ru, int cl, int cu, boolean deep)`
`static List<MatrixBlock>`
`sliceBlocks(CompressedMatrixBlock cmb, int blen, int k)`
Slice blocks of compressed matrices from the compressed representation.
`static CompressedMatrixBlock`
`sliceColumns(CompressedMatrixBlock cmb, int cl, int cu)`
`static MatrixBlock`
`sliceRowsCompressed(CompressedMatrixBlock cmb, int rl, int ru)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### sliceBlocks

public static List<MatrixBlock> sliceBlocks(CompressedMatrixBlock cmb, int blen, int k)
Slice blocks of compressed matrices from the compressed representation.

Parameters:
  `cmb` - The input block to slice.
  `blen` - The length of the blocks.
  `k` - The parallelization degree used
Returns:
  A list containing CompressedMatrixBlocks or MatrixBlocks

### slice

public static MatrixBlock slice(CompressedMatrixBlock cmb, int rl, int ru, int cl, int cu, boolean deep)

### sliceRowsCompressed

public static MatrixBlock sliceRowsCompressed(CompressedMatrixBlock cmb, int rl, int ru)

### sliceColumns

public static CompressedMatrixBlock sliceColumns(CompressedMatrixBlock cmb, int cl, int cu)